Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils.save
Class SaveParametersBuilder

    java.lang.Object
      org.apache.avalon.framework.configuration.DefaultConfigurationBuilder
          fr.gouv.culture.sdx.utils.save.SaveParametersBuilder

    public class SaveParametersBuilder

extends org.apache.avalon.framework.configuration.DefaultConfigurationBuilder

Author:
  jlecren TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`SaveParametersBuilder()`

Method Summary
`org.apache.avalon.framework.configuration.Configuration` | `buildFromFile(java.lang.String baseDir, java.lang.String fileName)` Build a hierarchy of SaveParameters objects from backup file "info.xml"

Methods inherited from class org.apache.avalon.framework.configuration.DefaultConfigurationBuilder
`build, build, build, build, buildFromFile, buildFromFile, getHandler, setEntityResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveParametersBuilder

    public SaveParametersBuilder()

Method Detail

### buildFromFile

    public org.apache.avalon.framework.configuration.Configuration buildFromFile(java.lang.String baseDir,
                                                                                 java.lang.String fileName)
                                                                          throws SDXException

  Build a hierarchy of SaveParameters objects from backup file "info.xml"

  Throws:
    `SDXException`
  See Also:
    `DefaultConfigurationBuilder.buildFromFile(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.